<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Front End</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Front End</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Hienltt</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link active">
              <i class="nav-icon fas fa-table"></i>
              <p>
                Quản trị
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="index.voucher.html" class="nav-link ">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Vouchers</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.menu.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Menus</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.drink.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Drinks</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.countryregion.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Country/Region</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index.userorder.html" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p>User/Order</p>
                </a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-12 text-center">
            <h1>Quản trị User/Order</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-body">
                <div class="container">
                  <div class="jumbotron container">
                    <h3 class="text-center">User</h3>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label>Họ tên</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-full-name" class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label>Email</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-email" class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label>Số điện thoại</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-phone" class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label>Địa chỉ</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-address" class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label for="createDate">Ngày Tạo</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-createDate" class="form-control" disabled>
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label for="updateDate">Ngày cập nhật</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-updateDate"class="form-control" disabled>
                      </div>
                    </div>
                    <div class="row pull-right">
                    <div class="col-sm-12 text-right">
                      <button id="btn-create-user" class="btn btn-info">Add user</button>
                      <button id="btn-update-user" class="btn btn-success my-3">Update user</button>
                      <button id="btn-delete-user" class="btn btn-danger">Delete user</button>
                    </div>
                    </div>
                  </div>
                </div>
                <table class="table table-bordered table-striped table-hover text-center bg-light" id="user-table">
                  <thead>
                      <tr>
                          <th>STT</th>
                          <th>Họ tên</th>
                          <th>Email</th>
                          <th>Số điện thoại</th>
                          <th>Địa chỉ</th>
                          <th>Ngày tạo</th>
                          <th>Ngày cập nhật</th>
                      </tr>
                  </thead>
                  <tbody>
      
                  </tbody>
              </table>
              </div>
            </div>
            <hr>
            <div class="card">
              <div class="card-body">
                <div class="container">
                  <div class="jumbotron container">
                    <h3 class="text-center">Orders</h3>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label>Order Code</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-order-code" class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label>Pizza Size</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-pizze-size" class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label>Pizza Type</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-pizza-type" class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label>Voucher Code</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-voucher-code" class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label>Giá</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-price" class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label>Thanh toán</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-paid" class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label>Ngày Tạo</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-ngay-tao" class="form-control" disabled>
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label>Ngày cập nhật</label>
                      </div>
                      <div class="col-sm-9">
                        <input type="text" id="input-ngay-cap-nhat"class="form-control" disabled>
                      </div>
                    </div>
                    <div class="row pull-right">
                    <div class="col-sm-12 text-right">
                      <button id="btn-create-order" class="btn btn-info">Add order</button>
                      <button id="btn-update-order" class="btn btn-success my-3">Update order</button>
                      <button id="btn-delete-order" class="btn btn-danger">Delete order</button>
                    </div>
                    </div>
                  </div>
                </div>
                <table class="table table-bordered table-striped table-hover text-center bg-light" id="order-table">
                  <thead>
                      <tr>
                          <th>STT</th>
                          <th>Order Code</th>
                          <th>Pizza Size</th>
                          <th>Pizza Type</th>
                          <th>Voucher Code</th>
                          <th>Giá</th>
                          <th>Thanh toán</th>
                          <th>Ngày tạo</th>
                          <th>Ngày cập nhật</th>
                      </tr>
                  </thead>
                  <tbody>
      
                  </tbody>
              </table>
              </div>
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="plugins/datatables/jquery.dataTables.min.js"></script>
<script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="plugins/jszip/jszip.min.js"></script>
<script src="plugins/pdfmake/pdfmake.min.js"></script>
<script src="plugins/pdfmake/vfs_fonts.js"></script>
<script src="plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
</body>
<script>
  $(document).ready(function(){
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    //định nghĩa table user
    const gCOL_ID = 0;
    const gCOL_FULL_NAME = 1;
    const gCOL_EMAIL = 2;
    const gCOL_PHONE = 3;
    const gCOL_ADDRESS = 4;
    const gCOL_NGAY_TAO = 5;
    const gCOL_NGAY_CAP_NHAT = 6;
    var STT = 1;
    var gId = 0;
    const gORDER_COLS = ["id", "fullname", "email", "phone", "address", "created", "updated"];
    var vTable = $("#user-table").DataTable({
        columns: [
            {data: gORDER_COLS[gCOL_ID]},
            {data: gORDER_COLS[gCOL_FULL_NAME]},
            {data: gORDER_COLS[gCOL_EMAIL]},
            {data: gORDER_COLS[gCOL_PHONE]},
            {data: gORDER_COLS[gCOL_ADDRESS]},
            {data: gORDER_COLS[gCOL_NGAY_TAO]},
            {data: gORDER_COLS[gCOL_NGAY_CAP_NHAT]}
        ],
        columnDefs: [
            {
              targets: gCOL_ID,
              render: function (){
                return STT++;
              }
            }
        ],
        searching: false,
    });
    //định nghĩa table order
    const gCOLS_ID = 0;
    const gCOLS_ORDER_CODE = 1;
    const gCOLS_PIZZA_SIZE = 2;
    const gCOLS_PIZZA_TYPE = 3;
    const gCOLS_VOUCHER_CODE = 4;
    const gCOLS_PRICE = 5;
    const gCOLS_PAID = 6;
    const gCOLS_NGAY_TAO = 7;
    const gCOLS_NGAY_CAP_NHAT = 8;
    var STT2 = 1;
    var gIdOrder = 0;
    const gORDER_COL = ["id", "orderCode", "pizzaSize", "pizzaType", "voucherCode", "price", "paid", "created","updated"];
    var vTableOrder = $("#order-table").DataTable({
        columns: [
            {data: gORDER_COL[gCOLS_ID]},
            {data: gORDER_COL[gCOLS_ORDER_CODE]},
            {data: gORDER_COL[gCOLS_PIZZA_SIZE]},
            {data: gORDER_COL[gCOLS_PIZZA_TYPE]},
            {data: gORDER_COL[gCOLS_VOUCHER_CODE]},
            {data: gORDER_COL[gCOLS_PRICE]},
            {data: gORDER_COL[gCOLS_PAID]},
            {data: gORDER_COL[gCOLS_NGAY_TAO]},
            {data: gORDER_COL[gCOLS_NGAY_CAP_NHAT]},
        ],
        columnDefs: [
            {
              targets: gCOLS_ID,
              render: function (){
                return STT2++;
              }
            }
        ],
        searching: false,
    });
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    onPageLoading();
    //Gán event handler khi click vào hàng bất kỳ trong table user
    $("#user-table").on("click", "td", function() {
			onTableRowClick(this);
		});
    //Gán event handler khi click vào hàng bất kỳ trong table order
    $("#order-table").on("click", "td", function() {
		  onOrderTableRowClick(this);
		});
    // gán sự kiện cho nút add user
    $("#btn-create-user").on("click", function() {
        onBtnCreateUserClick();
    });
    // gán sự kiện cho nút add order
    $("#btn-create-order").on("click", function() {
      onBtnCreateOrderClick();
    });
    // gán sự kiện cho nút update user
    $("#btn-update-user").on("click", function() {
      onBtnUpdateUserClick();
    });
    // gán sự kiện cho nút update order
    $("#btn-update-order").on("click", function() {
      onBtnUpdateOrderClick();
    });
    // gán sự kiện cho nút delete user
    $("#btn-delete-user").on("click", function() {
      onBtnDeleteUserClick();
    });
    // gán sự kiện cho nút delete order
    $("#btn-delete-order").on("click", function() {
      onBtnDeleteOrderClick();
    });            
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    //hàm load trang
    function onPageLoading() {
      "use strict";
      callApiGetAllUserShowOnTable();
      callApiGetAllOrderShowOnTable();
    }
    //Hàm gọi APi lấy ra toàn bộ user
    function callApiGetAllUserShowOnTable(){
      "use strict";
      $.ajax({
        url: "http://localhost:8080/v1/user/all",
        type: "GET",
        dataType: "json",
        success: function(res){
            console.log(res);
            vTable.clear();
            vTable.rows.add(res);
            vTable.draw();
        },
        error: function(err){
            console.log(err.responseText);
        }
      })
    }
    //Hàm gọi APi lấy ra toàn bộ order
    function callApiGetAllOrderShowOnTable(){
      "use strict";
      $.ajax({
        url: "http://localhost:8080/v1/order/all",
        type: "GET",
        dataType: "json",
        success: function(res){
            console.log(res);
            vTableOrder.clear();
            vTableOrder.rows.add(res);
            vTableOrder.draw();
        },
        error: function(err){
            console.log(err.responseText);
        }
      })
    }
    //Hàm thực thi khi click vào hàng bất kỳ
    function onTableRowClick(paramTableCell) {
			var vClickedRow = $(paramTableCell).parents("tr");
			var vRowData = vTable.row(vClickedRow).data();
			gId = vRowData.id;			
			console.log("Đã click vào row có id là: " + gId);
			callAjaxApiGetUserById(gId);
		}
    //Hàm thực thi khi click vào hàng bất kỳ
    function onOrderTableRowClick(paramTableCell) {
			var vClickedRow = $(paramTableCell).parents("tr");
			var vRowData = vTableOrder.row(vClickedRow).data();
			gIdOrder = vRowData.id;			
			console.log("Đã click vào row có id là: " + gIdOrder);
			callAjaxApiGetOrderById(gIdOrder);
		}
    //Hàm thực thi khi nhấn nút add user
    function onBtnCreateUserClick(){
      var vObj = {
				fullname: "",
				email: "",
				phone: "",
        address: "",
			};
      readDataFromWeb(vObj);
      var vCheck = validateData(vObj);
      if(vCheck){
        $.ajax({
          url: "http://localhost:8080/v1/user/create",
          type: "POST",
          contentType: "application/json; charset=UTF-8",
          data: JSON.stringify(vObj),
          success: function(res) {
            console.log(res);
            window.location.reload();
          },
          error: function(err){
            console.log(err.responseText);
          }
        })
      }
    }
    //Hàm thực thi khi nhấn nút add order
    function onBtnCreateOrderClick(){
      var vObj = {
				orderCode: "",
				pizzaSize: "",
				pizzaType: "",
        voucherCode: "",
        price: "",
        paid: "",
			};
      readOrderDataFromWeb(vObj);
      console.log(vObj);
      var vCheck = validateOrderData(vObj);
      if(vCheck){
        $.ajax({
          url: "http://localhost:8080/v1/order/create/",
          type: "POST",
          contentType: "application/json; charset=UTF-8",
          data: JSON.stringify(vObj),
          success: function(res) {
            console.log(res);
            window.location.reload();
          },
          error: function(err){
            console.log(err.responseText);
          }
        })
      }
    }
    //Hàm thực thi khi nhấn nút update user
    function onBtnUpdateUserClick(){
      "use strict";
      if(gId == 0) {
				alert("Hãy click chọn hàng cần update");
			}
			else {
				var vObj = {
          fullname: "",
          email: "",
          phone: "",
          address: "",
        };
        readDataFromWeb(vObj);
        var vCheck = validateData(vObj);
        if(vCheck){
          $.ajax({
            url: "http://localhost:8080/v1/user/update/" + gId,
            type: "PUT",
            contentType: "application/json; charset=UTF-8",
            data: JSON.stringify(vObj),
            success: function(res) {
              console.log(res);
              window.location.reload();
            },
            error: function(err){
              console.log(err.responseText);
				    }
			    });
        };
			}
    }
    //Hàm thực thi khi nhấn nút Update order
    function onBtnUpdateOrderClick(){
      "use strict";
      if(gIdOrder == 0) {
				alert("Hãy click chọn hàng cần update");
			}
			else {
				var vObj = {
				orderCode: "",
				pizzaSize: "",
				pizzaType: "",
        voucherCode: "",
        price: "",
        paid: "",
        };
        readOrderDataFromWeb(vObj);
        var vCheck = validateOrderData(vObj);
        if(vCheck){
          $.ajax({
            url: "http://localhost:8080/v1/order/update/" + gIdOrder,
            type: "PUT",
            contentType: "application/json; charset=UTF-8",
            data: JSON.stringify(vObj),
            success: function(res) {
              console.log(res);
              window.location.reload();
            },
            error: function(err){
              console.log(err.responseText);
				    }
			    });
        };
			}
    }
    //Hàm thực thi khi nhấn nút Delete user
    function onBtnDeleteUserClick(){
      "use strict";
      if(gId == 0) {
				alert("Hãy click chọn hàng cần delete");
			}
			else if(confirm( "Ban có muõn xóa?") == true){
        $.ajax({
          url: "http://localhost:8080/v1/user/delete/" + gId,
          type: "DELETE",
          dataType: "json",
          success: function(res) {
            console.log(res);
            window.location.reload();
          },
          error: function(err){
            console.log(err.response);
          }
        });
      }
    }
    //Hàm thực thi khi nhấn nút Delete Order
    function onBtnDeleteOrderClick(){
      "use strict";
      if(gIdOrder == 0) {
				alert("Hãy click chọn hàng cần delete");
			}
			else if(confirm( "Bạn có muốn xóa?") == true){
        $.ajax({
          url: "http://localhost:8080/v1/order/delete/" + gIdOrder,
          type: "DELETE",
          dataType: "json",
          success: function(res) {
            console.log(res);
            window.location.reload();
          },
          error: function(err){
            console.log(err.response);
          }
        });
      }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //Hàm gọi API để lấy dữ liệu user theo id
    function callAjaxApiGetUserById(paramId) {
			$.ajax({
				url: "http://localhost:8080/v1/user/" + paramId,
				type: "GET",
				dataType: "json",
				success: function(res) {
					console.log(res);
					loadDataToForm(res);
				},
				error: function(err){
					console.log(err.responseText);
				}
			})
		}
    //Hàm gọi API để lấy dữ liệu order theo id
    function callAjaxApiGetOrderById(paramId) {
			$.ajax({
				url: "http://localhost:8080/v1/order/detail/" + paramId,
				type: "GET",
				dataType: "json",
				success: function(res) {
					console.log(res);
					loadOrderDataToForm(res);
				},
				error: function(err){
					console.log(err.responseText);
				}
			})
		}
    //Hàm load dữ liệu lên form
    function loadDataToForm(paramRes) {
			$("#input-full-name").val(paramRes.fullname);
			$("#input-email").val(paramRes.email);
			$("#input-phone").val(paramRes.phone);
      $("#input-address").val(paramRes.address);
      let vCreateDate = paramRes.created.slice(5, 7) + "-" + paramRes.created.slice(8,10) + "-" + paramRes.created.slice(0, 4);
      $("#input-createDate").val(vCreateDate);
      if(paramRes.updated !== null){
        let vUpdateDate = paramRes.updated.slice(5,7) + "-" + paramRes.updated.slice(8,10) + "-" + paramRes.updated.slice(0,4);
        $("#input-updateDate").val(vUpdateDate);
      }
      else {
        $("#input-updateDate").val(null);
      }
    }
    //Hàm load dữ liệu order lên form
    function loadOrderDataToForm(paramRes) {
			$("#input-order-code").val(paramRes.orderCode);
			$("#input-pizze-size").val(paramRes.pizzaSize);
			$("#input-pizza-type").val(paramRes.pizzaType);
      $("#input-voucher-code").val(paramRes.voucherCode);
      $("#input-price").val(paramRes.price);
      $("#input-paid").val(paramRes.paid);
      let vCreateDate = paramRes.created.slice(5, 7) + "-" + paramRes.created.slice(8,10) + "-" + paramRes.created.slice(0, 4);
      $("#input-ngay-tao").val(vCreateDate);
      if(paramRes.updated !== null){
        let vUpdateDate = paramRes.updated.slice(5,7) + "-" + paramRes.updated.slice(8,10) + "-" + paramRes.updated.slice(0,4);
        $("#input-ngay-cap-nhat").val(vUpdateDate);
      }
      else {
        $("#input-ngay-cap-nhat").val(null);
      }
    }
    //Hàm thu thập dữ liệu để add
    function readDataFromWeb(paramObj) {
			paramObj.fullname = $("#input-full-name").val().trim();
			paramObj.email = $("#input-email").val().trim();
			paramObj.phone = $("#input-phone").val().trim();
      paramObj.address = $("#input-address").val().trim();	
		}
    //Hàm validate
    function validateData(paramObj){
      "use strict"
      if(paramObj.fullname === "") {
      alert("Hãy nhập họ tên");
      return false;
    } else if(paramObj.email === "") {
      alert("Hãy nhập email");
      return false;
    } else if(paramObj.phone === "") {
      alert("Hãy nhập số điện thoại");
      return false;
    } else if(paramObj.address === "") {
      alert("Hãy nhập địa chỉ");
      return false;
    }
    return true;
    }
    //Hàm thu thập dữ liệu để add
    function readOrderDataFromWeb(paramObj) {
			paramObj.orderCode = $("#input-order-code").val().trim();
			paramObj.pizzaSize = $("#input-pizze-size").val().trim();
			paramObj.pizzaType = $("#input-pizza-type").val().trim();
      paramObj.voucherCode = $("#input-voucher-code").val().trim();
      paramObj.price = $("#input-price").val().trim();
      paramObj.paid = $("#input-paid").val().trim();	 
		}
    //Hàm validate add order
    function validateOrderData(paramObj){
      "use strict"
      if(paramObj.orderCode === "") {
      alert("Hãy nhập orderCode");
      return false;
    } else if(paramObj.pizzaSize === "") {
      alert("Hãy nhập pizzaSize");
      return false;
    } else if(paramObj.pizzaType === "") {
      alert("Hãy nhập pizzaType");
      return false;
    } else if(paramObj.voucherCode === "") {
      alert("Hãy nhập voucherCode");
      return false;
    } else if(paramObj.price === "") {
      alert("Hãy nhập price");
      return false;
    } else if(paramObj.paid === "") {
      alert("Hãy nhập paid");
      return false;
    }
    return true;
    }
  });
</script>
</html>
